Package org.apache.sling.api.auth

# Class NoAuthenticationHandlerException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.api.SlingException
org.apache.sling.api.auth.NoAuthenticationHandlerException

All Implemented Interfaces:
  `Serializable`

public class NoAuthenticationHandlerException extends SlingException
The `NoAuthenticationHandlerException` is thrown to indicate that the `Authenticator.login(jakarta.servlet.http.HttpServletRequest, jakarta.servlet.http.HttpServletResponse)` method could not find a way to authenticate the request user.

This exception is thrown without a message. The caller of the `Authenticator.login(jakarta.servlet.http.HttpServletRequest, jakarta.servlet.http.HttpServletResponse)` method called is expected to immediately handle this exception and not to forward it up the call chain.

This exception is not intended to be thrown by client code but is used by the `Authenticator` implementation.

Since:
  1.0 (Sling API Bundle 2.1.0)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoAuthenticationHandlerException()`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoAuthenticationHandlerException

public NoAuthenticationHandlerException()